<template>
    <v-container class="fill-height">
      <v-responsive transition="slide-x-transition" class=" text-center fill-height">
        <v-row style="min-height: fit-content;">
          <v-img height="350" class="profil-img" src="@/assets/rond1.png" />

        </v-row>
          
        <p class="text-medium-emphasis text-h5 font-weight-medium">
          Développeur web junior
        </p>
  
        <h1 class="text-h3 font-weight-regular">Thomas Gougy</h1>
  
        <div class="py-14" />

        <v-row class="d-flex justify-center">
          <p class="px-4  pres-text">
            Bienvenue sur mon porte folio,<br />
            Je m'appelle Thomas, je suis un jeune développeur français à la recherche de nouvelles opportunités. 
            <v-btn variant="text" to="/about" class="text-blue pres-text">En savoir plus sur moi</v-btn><br />

          </p>
          <p class="px-4 text-h4 mt-5">
            
          </p>
        </v-row>
  
        <v-row class="d-flex align-center justify-center ">
  
          <v-col cols="auto">
            <v-btn size="large" to="/project">Mes projets</v-btn>
          </v-col>
  
          <v-col cols="auto">
            <v-btn  href="https://cdn.discordapp.com/attachments/611232536504565806/1185519692727722034/Thomas_Gougy_CV_2.pdf?ex=658fe840&is=657d7340&hm=986ca9506ccda9c424f92cf15e52a521803fdd6199317b5326bc41bd91e71269&"  size="large">
              <v-icon class="mr-2" size="x-large" icon="mdi-download-circle"></v-icon>
              Mon CV
            </v-btn>
            
          </v-col>
        </v-row>
      </v-responsive>
    </v-container>
  </template>
  
  <script lang="ts" setup>
    //
  </script>
  <style>
  .profil-img {
    height: 450px;
  }
  .pres-text {
      font-size: x-large;
      font-weight: 500;
    }
  
  .v-btn.pres-text{
    font-size: large;
      font-weight: 500;
  }




  @media screen and (max-width: 500px) {
    
    .profil-img {
      height: calc(100vh - 50%);
    }
    .pres-text {
      font-weight: 400;
    }
    .v-btn.pres-text{
      font-size: 400;
    }
    .py-14{ 
      padding: 15px !important;
    }
  }
    
  </style>
  